Freeciv - Feature #892340
Feature # 637944 (Closed): New gtk3x-client

gtk3x: Avoid using gtk_main()
2020-10-22 03:38 PM - Marko Lindqvist

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marko Lindqvist % Done: 0%
Category: gui-gtk-3.9x Estimated time: 0.00 hour
Sprint/Milestone: 3.1.0

Description

gtk_main() is dropped from gtk-3.98. Rearrange gtk3x-client to work without it.

History

#1 - 2020-10-22 03:40 PM - Marko Lindqvist

- File 0024-gtk3x-Rearrange-to-work-without-gtk_main.patch added

- Status changed from In Progress to Resolved

This can be applied already now that we are still using gtk-3.96, so will push after review period.

#2 - 2020-10-26 09:58 PM - Marko Lindqvist
- Status changed from Resolved to Closed

- Assignee set to Marko Lindqvist

Files

0024-gtk3x-Rearrange-to-work-without-gtk_main.patch

2022-10-06

3.61 KB 2020-10-22

Marko Lindqvist
